MFC023 — Duplicata / Adiantamento por Obra
Fonte
- Source:
source/MFC023/
Objetivo
O módulo MFC023 permite o lancamento de duplicatas e adiantamentos financeiros vinculados a obras (romaneios). Ele possibilita que a empresa registre contas a receber e contas a pagar associadas diretamente a contratos de obras, garantindo rastreabilidade financeira por projeto.
Este módulo e utilizado pelo departamento financeiro e pelo setor de obras/engenharia para controlar os valores devidos e recebidos por obra especifica. A vinculacao entre duplicatas e obras permite um controle financeiro detalhado por contrato, facilitando a gestao de fluxo de caixa e a apuracao de custos por projeto.
O MFC023 suporta dois modos de operacao: lancamento com obra unica (quando o parametro ST_DUPLICATAOBRA esta configurado como N) e lancamento com rateio entre multiplas obras (quando ST_DUPLICATAOBRA esta como S). No modo de rateio, o valor total da duplicata e distribuido entre diversas obras, com validacao automatica de que a soma dos valores informados corresponde ao total do documento.
Alem do lancamento basico, o módulo integra-se com o sistema de processos financeiros para adiantamentos, realizando automaticamente a criacao de processos, movimentos e execucao de baixa em caixa. Tambem se integra com a contabilidade para geracao automatica de lancamentos contábeis e com o sistema de reparcelamento.
Funcionalidades
- Lancamento de Duplicata por Obra
- Lancamento de Adiantamento por Obra
- Rateio de Valores por Historico
- Rateio de Obras (Modo Multiplas Obras)
- Parcelamento de Duplicatas
- Integracao Contábil Automatica
- Impressao de Duplicata
Mensagens exibidas
Levantadas de source/MFC023/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0045 | Confirmação | Deseja Excluir o Registro? |
Mais 51 mensagens com texto literal no código: MFC023.
Parâmetros lidos
Campos PARM* lidos via values[] em source/MFC023/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| ST_INTEGRACAO | PARMCONTABIL |
| CD_LAYDUPLICATA | PARMFINANC |
| ST_DUPLICATAOBRA | PARMFINANC |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| CONTASHISTORICO | DELETE, INSERT, SELECT |
| CONTASJUNCAO | INSERT |
| DESTINOREPARCELAMENTO | INSERT |
| HISTORICO | DELETE, INSERT, SELECT, UPDATE |
| ORIGEMREPARCELAMENTO | INSERT |
| ROMANEIOCONTAS | INSERT |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CONTACORPESSOA | SELECT |
| EMPRESA | SELECT |
| FORMAPAGTO | SELECT |
| JURO | SELECT |
| PARMCONTABIL | SELECT |
| PESSOA | SELECT |
| ROMANEIO | SELECT |
| TIPOCONTA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CONTROLE_CAIXA | CAIXA (SELECT), PARMFINANC (SELECT), PARMUSUARIO (SELECT) |
| EXECUTA_PROCESSO | AGENCIA (SELECT), AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), AVISOSCPC (INSERT), BANCO (SELECT), CHEQUE (SELECT) +63 |
| GERA_INTEGRACAO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT), CONTASCTB (DELETE/INSERT/SELECT) +53 |
| GERA_JUNCAOCONTAS | CONTAS (SELECT/UPDATE), CONTASHISTORICO (INSERT/SELECT), CONTASHISTORICOCC (INSERT/SELECT), CONTASJUNCAO (SELECT), ITEMNOTACC (SELECT) |
| GERA_SEQUENCIA | SEQUENCIA (SELECT/UPDATE) |
| GRAVA_CONTAS | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETO (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONDPARCELA (SELECT) +64 |
| GRAVA_MOVTOPROCESSO | CONTAS (SELECT), CONTASHISTORICO (SELECT), HISTORICO (SELECT), MOVTOPROCESSO (INSERT/SELECT), PARMFINANC (SELECT), PROCESSO (SELECT/UPDATE) |
| GRAVA_PROCESSO | PROCESSO (INSERT), SEQUENCIA (SELECT/UPDATE), SESSAO (SELECT) |
| GRAVA_REPARCELAMENTO | REPARCELAMENTO (INSERT) |
| PROCESSA_REPARCELAMENTO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), CODRECEITA (SELECT), CONDPAGTO (SELECT), CONTAS (SELECT/UPDATE), CONTASCTB (DELETE/INSERT/SELECT) +55 |
| VIEW_PLANOCONTAS | CENTROCUSTO (SELECT), CONTASPESSOA (SELECT), PARMCONTABIL (SELECT), PARMSISTEMA (SELECT), PLANOCONTAS (SELECT), PLANOEMPRESA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| AVISOSCPC | INSERT |
| BANCO | SELECT |
| BOLETO | SELECT |
| CAIXA | SELECT |
| CENTROCUSTO | SELECT |
| CHEQUE | SELECT |
| CODRECEITA | SELECT |
| COMISSAOCONTAS | INSERT |
| CONDPAGTO | SELECT |
| CONDPARCELA | SELECT |
| CONTAS | INSERT, SELECT, UPDATE |
| CONTASBLOQFINANC | SELECT |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | INSERT, SELECT, UPDATE |
| CONTASHISTORICOCC | INSERT, SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASJUNCAO | SELECT |
| ... | +63 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |